#include <perms.h>

                                                                //      1  %begin
#line 1 "regression-bugs-tmp/expr2.imp"
int main(int argc, char **argv) {
  _imp_initialise(argc, argv);
                                                                //      2    %owninteger result, a=1,b=1,c=1,d=1,e=1,f=1,g=1,h=1,i=1,j=1,k=1,l=1,m=1,n=1,o=1,p=1,q=1,r=1,s=1,t=1,u=1,v=1,w=1,x=1,y=1,z=1
#line 2 "regression-bugs-tmp/expr2.imp"
static int RESULT;
#line 2 "regression-bugs-tmp/expr2.imp"
static int A = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int B = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int C = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int D = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int E = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int F = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int G = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int H = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int I = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int J = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int K = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int L = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int M = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int N = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int O = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int P = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int Q = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int R = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int S = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int T = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int U = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int V = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int W = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int X = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int Y = 1;
#line 2 "regression-bugs-tmp/expr2.imp"
static int Z = 1;
                                                                //      3  
                                                                //      4    result = a !! b ! c ! d; print string("0: "); write(result, 0); newline
#line 4 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((A) ^ (B))) | (C))) | (D));
#line 4 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("0: "));
#line 4 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 4 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //      5    result = a ^^ b * c; print string("1: "); write(result, 0); newline
#line 5 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)(_imp_IEXP(A, B))) * (C));
#line 5 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("1: "));
#line 5 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 5 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //      6    result = a; print string("2: "); write(result, 0); newline
#line 6 "regression-bugs-tmp/expr2.imp"
RESULT = A;
#line 6 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("2: "));
#line 6 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 6 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //      7    result = a // b + c * d - e << f * g * h << i ^^ j; print string("3: "); write(result, 0); newline
#line 7 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((long)((long)((int)(A)) / (long)((int)(_Z(B)))))) + ((((int)(C)) * (D))))) - (((((((int)(((E) << (F)))) * (G)))) * (_imp_IEXP(((H) << (I)), J)))));
#line 7 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("3: "));
#line 7 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 7 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //      8    result = a >> b << c; print string("4: "); write(result, 0); newline
#line 8 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)((((unsigned int)(A)) >> (B)))) << (C));
#line 8 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("4: "));
#line 8 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 8 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //      9    result = a - b ^^ c - d & e >> (a + b !! c + (a * b)) !! g; print string("5: "); write(result, 0); newline
#line 9 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((A) - ((int)(_imp_IEXP(B, C)))))) - (((D) & ((int)((((unsigned int)(E)) >> (((((((((int)(A)) + (B))) ^ (C)))) + ((((int)(A)) * (B)))))))))))) ^ (G));
#line 9 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("5: "));
#line 9 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 9 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     10    result = a ! (a !! b !! c) // c & d * e & f; print string("6: "); write(result, 0); newline
#line 10 "regression-bugs-tmp/expr2.imp"
RESULT = ((A) | (((((((((long)((long)((((((A) ^ (B))) ^ (C)))) / (long)((int)(_Z(C)))))) & (D))) * (E))) & (F))));
#line 10 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("6: "));
#line 10 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 10 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     11    result = a & b + c >> (a >> b) // e; print string("7: "); write(result, 0); newline
#line 11 "regression-bugs-tmp/expr2.imp"
RESULT = ((((A) & (B))) + (((long)((long)(((int)((((unsigned int)(C)) >> ((int)((((unsigned int)(A)) >> (B)))))))) / (long)((int)(_Z(E)))))));
#line 11 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("7: "));
#line 11 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 11 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     12    result = a ^^ (a !! b) ^^ (a !! b) ^^ d + e; print string("8: "); write(result, 0); newline
#line 12 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)(_imp_IEXP(_imp_IEXP(_imp_IEXP(A, ((A) ^ (B))), ((A) ^ (B))), D))) + (E));
#line 12 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("8: "));
#line 12 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 12 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     13    result = a << b << c << (a !! b) + e - f ^^ (a + b - c << d - e) ^^ h << i; print string("9: "); write(result, 0); newline
#line 13 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((int)(((((((A) << (B))) << (C))) << (((A) ^ (B)))))) + (E)))) - (((_imp_IEXP(_imp_IEXP(F, (((int)(((((((int)(A)) + (B)))) - (((C) << (D)))))) - (E))), H)) << (I))));
#line 13 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("9: "));
#line 13 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 13 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     14    result = a // b ! c // d & e - (a // b + c >> d) + g !! h; print string("10: "); write(result, 0); newline
#line 14 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((((((long)((long)((int)(A)) / (long)((int)(_Z(B)))))) | (((((long)((long)((int)(C)) / (long)((int)(_Z(D)))))) & (E)))))) - (((((long)((long)((int)(A)) / (long)((int)(_Z(B)))))) + ((int)((((unsigned int)(C)) >> (D)))))))) + (G))) ^ (H));
#line 14 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("10: "));
#line 14 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 14 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     15    result = a ! b - c ! d >> (a - b) // (a & (a << b) // c << d) ^^ g * h << (a << b - c ! d << e); print string("11: "); write(result, 0); newline
#line 15 "regression-bugs-tmp/expr2.imp"
RESULT = (((((int)(((A) | (B)))) - (C))) | (((((long)((long)(((int)((((unsigned int)(D)) >> ((((int)(A)) - (B))))))) / (long)((_Z(_imp_IEXP(((long)((long)((((A) & (((A) << (B)))))) / (long)((_Z(((C) << (D))))))), G))))))) * (((H) << ((((((int)(((A) << (B)))) - (C))) | (((D) << (E))))))))));
#line 15 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("11: "));
#line 15 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 15 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     16    result = a >> (a - b) ^^ c & d; print string("12: "); write(result, 0); newline
#line 16 "regression-bugs-tmp/expr2.imp"
RESULT = ((_imp_IEXP((int)((((unsigned int)(A)) >> ((((int)(A)) - (B))))), C)) & (D));
#line 16 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("12: "));
#line 16 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 16 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     17    result = a // b !! c & d; print string("13: "); write(result, 0); newline
#line 17 "regression-bugs-tmp/expr2.imp"
RESULT = ((((long)((long)((int)(A)) / (long)((int)(_Z(B)))))) ^ (((C) & (D))));
#line 17 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("13: "));
#line 17 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 17 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     18    result = a >> b << c !! (a + b + c * d & e) ! e & f ^^ g * h << i; print string("14: "); write(result, 0); newline
#line 18 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((int)((((unsigned int)(A)) >> (B)))) << (C))) ^ (((((((int)(A)) + (B)))) + ((((((int)(C)) * (D))) & (E))))))) | ((((((E) & (_imp_IEXP(F, G))))) * (((H) << (I))))));
#line 18 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("14: "));
#line 18 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 18 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     19    result = a & (a * (a // b) >> (a - b)) ! c - d >> e + f; print string("15: "); write(result, 0); newline
#line 19 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)((((((((A) & (((A) * (((((((long)((long)((int)(A)) / (long)((int)(_Z(B))))))) >> ((((int)(A)) - (B)))))))))) | (C)))) - ((int)((((unsigned int)(D)) >> (E))))))) + (F));
#line 19 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("15: "));
#line 19 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 19 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     20    result = a !! b ! (a * b) & d * e; print string("16: "); write(result, 0); newline
#line 20 "regression-bugs-tmp/expr2.imp"
RESULT = ((((A) ^ (B))) | ((((int)((((((int)(A)) * (B))) & (D)))) * (E))));
#line 20 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("16: "));
#line 20 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 20 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     21    result = a; print string("17: "); write(result, 0); newline
#line 21 "regression-bugs-tmp/expr2.imp"
RESULT = A;
#line 21 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("17: "));
#line 21 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 21 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     22    result = a * b ^^ c >> d // e - f // g; print string("18: "); write(result, 0); newline
#line 22 "regression-bugs-tmp/expr2.imp"
RESULT = (((((long)((long)((((A) * ((int)(((((_imp_IEXP(B, C))) >> (D)))))))) / (long)((int)(_Z(E))))))) - (((long)((long)((int)(F)) / (long)((int)(_Z(G)))))));
#line 22 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("18: "));
#line 22 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 22 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     23    result = a; print string("19: "); write(result, 0); newline
#line 23 "regression-bugs-tmp/expr2.imp"
RESULT = A;
#line 23 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("19: "));
#line 23 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 23 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     24    result = a ^^ b ^^ (a // b) >> d; print string("20: "); write(result, 0); newline
#line 24 "regression-bugs-tmp/expr2.imp"
RESULT = ((((_imp_IEXP(_imp_IEXP(A, B), ((long)((long)((int)(A)) / (long)((int)(_Z(B)))))))) >> (D)));
#line 24 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("20: "));
#line 24 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 24 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     25    result = a !! b & (a & b) * d << e !! f; print string("21: "); write(result, 0); newline
#line 25 "regression-bugs-tmp/expr2.imp"
RESULT = ((((A) ^ ((((((B) & (((A) & (B)))))) * (((D) << (E))))))) ^ (F));
#line 25 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("21: "));
#line 25 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 25 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     26    result = a << (a * b) ^^ c + d << e - f * g ! h ^^ i; print string("22: "); write(result, 0); newline
#line 26 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((_imp_IEXP(((A) << ((((int)(A)) * (B)))), C))) + (((D) << (E)))))) - ((((int)(F)) * (G))))) | (_imp_IEXP(H, I)));
#line 26 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("22: "));
#line 26 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 26 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     27    result = a ^^ b + c ! (a + b >> c) & e; print string("23: "); write(result, 0); newline
#line 27 "regression-bugs-tmp/expr2.imp"
RESULT = (((((int)(_imp_IEXP(A, B))) + (C))) | (((((A) + ((int)((int)((((unsigned int)(B)) >> (C))))))) & (E))));
#line 27 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("23: "));
#line 27 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 27 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     28    result = a !! b + (a * b) + d ! e ^^ f * g // h + (a ^^ b ^^ c * d) & (a ^^ b !! c ! (a ^^ b) // e); print string("24: "); write(result, 0); newline
#line 28 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((int)((((((A) ^ (B)))) + ((((int)(A)) * (B)))))) + (D))) | (((long)((long)(((((int)(_imp_IEXP(E, F))) * (G)))) / (long)((int)(_Z(H))))))))) + ((((((int)(_imp_IEXP(_imp_IEXP(A, B), C))) * (D))) & (((((_imp_IEXP(A, B)) ^ (C))) | (((long)((long)((_imp_IEXP(A, B))) / (long)((int)(_Z(E)))))))))));
#line 28 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("24: "));
#line 28 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 28 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     29    result = a << b; print string("25: "); write(result, 0); newline
#line 29 "regression-bugs-tmp/expr2.imp"
RESULT = ((A) << (B));
#line 29 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("25: "));
#line 29 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 29 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     30    result = a - b !! c & d; print string("26: "); write(result, 0); newline
#line 30 "regression-bugs-tmp/expr2.imp"
RESULT = (((((int)(A)) - (B))) ^ (((C) & (D))));
#line 30 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("26: "));
#line 30 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 30 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     31    result = a !! b - c; print string("27: "); write(result, 0); newline
#line 31 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)(((A) ^ (B)))) - (C));
#line 31 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("27: "));
#line 31 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 31 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     32    result = a >> b * (a >> (a // b) // c // d) + d << e >> f + g >> h ^^ i; print string("28: "); write(result, 0); newline
#line 32 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((((int)((((unsigned int)(A)) >> (B)))) * (((long)((long)((((long)((long)(((int)((((unsigned int)(A)) >> (((long)((long)((int)(A)) / (long)((int)(_Z(B)))))))))) / (long)((int)(_Z(C))))))) / (long)((int)(_Z(D))))))))) + (((((((D) << (E)))) >> (F))))))) + (_imp_IEXP((int)((((unsigned int)(G)) >> (H))), I)));
#line 32 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("28: "));
#line 32 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 32 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     33    result = a // b << c * d; print string("29: "); write(result, 0); newline
#line 33 "regression-bugs-tmp/expr2.imp"
RESULT = ((((long)((long)((int)(A)) / (long)((_Z(((B) << (C)))))))) * (D));
#line 33 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("29: "));
#line 33 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 33 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     34    result = a * (a >> b ^^ (a & b)) + c >> d + (a * b) << f; print string("30: "); write(result, 0); newline
#line 34 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((A) * ((int)(_imp_IEXP((int)((((unsigned int)(A)) >> (B))), ((A) & (B)))))))) + ((int)((((unsigned int)(C)) >> (D))))))) + ((((((int)(A)) * (B))) << (F))));
#line 34 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("30: "));
#line 34 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 34 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     35    result = a ^^ b >> c + d; print string("31: "); write(result, 0); newline
#line 35 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)(((((_imp_IEXP(A, B))) >> (C))))) + (D));
#line 35 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("31: "));
#line 35 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 35 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     36    result = a >> b - c & d * e << f ^^ g & h; print string("32: "); write(result, 0); newline
#line 36 "regression-bugs-tmp/expr2.imp"
RESULT = ((((int)((((unsigned int)(A)) >> (B))))) - ((((((((C) & (D)))) * (_imp_IEXP(((E) << (F)), G)))) & (H))));
#line 36 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("32: "));
#line 36 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 36 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     37    result = a // b << (a - b ^^ c >> (a // b)) ^^ d * (a ^^ b * c) * f << g - h ^^ i ! (a << b + c & d & e); print string("33: "); write(result, 0); newline
#line 37 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((((long)((long)((int)(A)) / (long)((_Z(_imp_IEXP(((B) << (((A) - ((int)(((((_imp_IEXP(B, C))) >> (((long)((long)((int)(A)) / (long)((int)(_Z(B))))))))))))), D))))))) * ((((int)(_imp_IEXP(A, B))) * (C))))) * (((F) << (G))))) - (_imp_IEXP(H, I)))) | ((((((A) << (B)))) + (((((C) & (D))) & (E))))));
#line 37 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("33: "));
#line 37 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 37 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     38    result = a >> b !! (a !! b) !! d >> e !! f; print string("34: "); write(result, 0); newline
#line 38 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((int)((((unsigned int)(A)) >> (B)))) ^ (((A) ^ (B))))) ^ ((int)((((unsigned int)(D)) >> (E)))))) ^ (F));
#line 38 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("34: "));
#line 38 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 38 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     39    result = a + b + c // d << e !! f ! g + (a + b); print string("35: "); write(result, 0); newline
#line 39 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((((((int)(A)) + (B))) + (((long)((long)((int)(C)) / (long)((_Z(((D) << (E)))))))))) ^ (F))) | (G)))) + ((((int)(A)) + (B))));
#line 39 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("35: "));
#line 39 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 39 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     40    result = a & b - (a << b >> c) + (a << b) + e << f ^^ g >> h // i >> j; print string("36: "); write(result, 0); newline
#line 40 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((((A) & (B)))) - (((((((A) << (B)))) >> (C))))))) + (((A) << (B))))) + (((long)((long)((((((_imp_IEXP(((E) << (F)), G))) >> (H))))) / (long)((_Z((int)((((unsigned int)(I)) >> (J))))))))));
#line 40 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("36: "));
#line 40 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 40 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     41    result = a ^^ b << c << d - e + f >> g ! (a // b); print string("37: "); write(result, 0); newline
#line 41 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((int)(((((_imp_IEXP(A, B)) << (C))) << (D)))) - (E)))) + ((int)((((unsigned int)(F)) >> (G)))))) | (((long)((long)((int)(A)) / (long)((int)(_Z(B)))))));
#line 41 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("37: "));
#line 41 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 41 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     42    result = a // b; print string("38: "); write(result, 0); newline
#line 42 "regression-bugs-tmp/expr2.imp"
RESULT = (long)((long)((int)(A)) / (long)((int)(_Z(B))));
#line 42 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("38: "));
#line 42 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 42 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     43    result = a; print string("39: "); write(result, 0); newline
#line 43 "regression-bugs-tmp/expr2.imp"
RESULT = A;
#line 43 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("39: "));
#line 43 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 43 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     44    result = a << b ^^ c * d // e - f * g * h << i - j; print string("40: "); write(result, 0); newline
#line 44 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((long)((long)(((((int)(_imp_IEXP(((A) << (B)), C))) * (D)))) / (long)((int)(_Z(E)))))) - (((((((int)(F)) * (G)))) * (((H) << (I))))))) - (J));
#line 44 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("40: "));
#line 44 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 44 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     45    result = a - b - c - d + e; print string("41: "); write(result, 0); newline
#line 45 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)((((int)((((int)((((int)(A)) - (B)))) - (C)))) - (D)))) + (E));
#line 45 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("41: "));
#line 45 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 45 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     46    result = a; print string("42: "); write(result, 0); newline
#line 46 "regression-bugs-tmp/expr2.imp"
RESULT = A;
#line 46 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("42: "));
#line 46 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 46 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     47    result = a ! b !! (a - b !! (a + b) - d) * (a << b !! c !! d << e) << e ^^ f << g !! h >> i; print string("43: "); write(result, 0); newline
#line 47 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((A) | (B))) ^ (((((((int)((((((int)(A)) - (B))) ^ ((((int)(A)) + (B)))))) - (D)))) * (((_imp_IEXP(((((((((A) << (B))) ^ (C))) ^ (((D) << (E))))) << (E)), F)) << (G))))))) ^ ((int)((((unsigned int)(H)) >> (I)))));
#line 47 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("43: "));
#line 47 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 47 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     48    result = a ^^ (a ! b) - c ! d; print string("44: "); write(result, 0); newline
#line 48 "regression-bugs-tmp/expr2.imp"
RESULT = (((((int)(_imp_IEXP(A, ((A) | (B))))) - (C))) | (D));
#line 48 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("44: "));
#line 48 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 48 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     49    result = a >> b >> c * d * e + f & g // h // i & j; print string("45: "); write(result, 0); newline
#line 49 "regression-bugs-tmp/expr2.imp"
RESULT = (((((int)((((int)((((((int)((((unsigned int)(A)) >> (B))))) >> (C))))) * (D)))) * (E))) + (((((long)((long)((((long)((long)((((F) & (G)))) / (long)((int)(_Z(H))))))) / (long)((int)(_Z(I)))))) & (J))));
#line 49 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("45: "));
#line 49 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 49 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     50    result = a ^^ b * c >> d; print string("46: "); write(result, 0); newline
#line 50 "regression-bugs-tmp/expr2.imp"
RESULT = (((_imp_IEXP(A, B))) * ((int)((((unsigned int)(C)) >> (D)))));
#line 50 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("46: "));
#line 50 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 50 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     51    result = a; print string("47: "); write(result, 0); newline
#line 51 "regression-bugs-tmp/expr2.imp"
RESULT = A;
#line 51 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("47: "));
#line 51 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 51 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     52    result = a & b !! c; print string("48: "); write(result, 0); newline
#line 52 "regression-bugs-tmp/expr2.imp"
RESULT = ((((A) & (B))) ^ (C));
#line 52 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("48: "));
#line 52 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 52 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     53    result = a - b // c >> d - e >> f !! g ! h; print string("49: "); write(result, 0); newline
#line 53 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((((A) - (((long)((long)((int)(B)) / (long)((_Z((int)((((unsigned int)(C)) >> (D)))))))))))) - ((int)((((unsigned int)(E)) >> (F)))))) ^ (G))) | (H));
#line 53 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("49: "));
#line 53 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 53 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     54    result = a + b - c // d ^^ e & f ! g >> h ! i; print string("50: "); write(result, 0); newline
#line 54 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((((int)(A)) + (B))) - (((((long)((long)((int)(C)) / (long)((_Z(_imp_IEXP(D, E))))))) & (F))))) | ((int)((((unsigned int)(G)) >> (H)))))) | (I));
#line 54 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("50: "));
#line 54 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 54 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     55    result = a ^^ b + c !! d << (a ! b !! c) + f; print string("51: "); write(result, 0); newline
#line 55 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)((((((int)(_imp_IEXP(A, B))) + (C))) ^ (((D) << (((((A) | (B))) ^ (C)))))))) + (F));
#line 55 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("51: "));
#line 55 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 55 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     56    result = a * b; print string("52: "); write(result, 0); newline
#line 56 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)(A)) * (B));
#line 56 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("52: "));
#line 56 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 56 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     57    result = a ^^ b + c * d & e // f >> g; print string("53: "); write(result, 0); newline
#line 57 "regression-bugs-tmp/expr2.imp"
RESULT = ((_imp_IEXP(A, B)) + (((long)((long)(((((((int)(C)) * (D))) & (E)))) / (long)((_Z((int)((((unsigned int)(F)) >> (G))))))))));
#line 57 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("53: "));
#line 57 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 57 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     58    result = a << b + c & d; print string("54: "); write(result, 0); newline
#line 58 "regression-bugs-tmp/expr2.imp"
RESULT = (((((A) << (B)))) + (((C) & (D))));
#line 58 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("54: "));
#line 58 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 58 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     59    result = a << (a ! b) & c; print string("55: "); write(result, 0); newline
#line 59 "regression-bugs-tmp/expr2.imp"
RESULT = ((((A) << (((A) | (B))))) & (C));
#line 59 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("55: "));
#line 59 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 59 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     60    result = a >> b + c ^^ d; print string("56: "); write(result, 0); newline
#line 60 "regression-bugs-tmp/expr2.imp"
RESULT = ((((int)((((unsigned int)(A)) >> (B))))) + (_imp_IEXP(C, D)));
#line 60 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("56: "));
#line 60 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 60 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     61    result = a // b >> c; print string("57: "); write(result, 0); newline
#line 61 "regression-bugs-tmp/expr2.imp"
RESULT = (long)((long)((int)(A)) / (long)((_Z((int)((((unsigned int)(B)) >> (C)))))));
#line 61 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("57: "));
#line 61 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 61 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     62    result = a * b & c - d ! e; print string("58: "); write(result, 0); newline
#line 62 "regression-bugs-tmp/expr2.imp"
RESULT = (((((int)((((((int)(A)) * (B))) & (C)))) - (D))) | (E));
#line 62 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("58: "));
#line 62 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 62 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     63    result = a !! b; print string("59: "); write(result, 0); newline
#line 63 "regression-bugs-tmp/expr2.imp"
RESULT = ((A) ^ (B));
#line 63 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("59: "));
#line 63 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 63 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     64    result = a - b // c << d >> e << f & (a >> b !! c ! (a ^^ b)) !! h !! i; print string("60: "); write(result, 0); newline
#line 64 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((A) - (((((long)((long)((int)(B)) / (long)((_Z(((((((((C) << (D)))) >> (E)))) << (F)))))))) & ((((((int)((((unsigned int)(A)) >> (B)))) ^ (C))) | (_imp_IEXP(A, B)))))))) ^ (H))) ^ (I));
#line 64 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("60: "));
#line 64 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 64 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     65    result = a ^^ b >> c // d & e ^^ f << g // h - (a - b + c + d) + j; print string("61: "); write(result, 0); newline
#line 65 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((long)((long)((((((long)((long)((((((_imp_IEXP(A, B))) >> (C))))) / (long)((int)(_Z(D)))))) & (((_imp_IEXP(E, F)) << (G)))))) / (long)((int)(_Z(H)))))) - ((((int)((((int)((((int)(A)) - (B)))) + (C)))) + (D))))) + (J));
#line 65 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("61: "));
#line 65 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 65 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     66    result = a << b - c // d; print string("62: "); write(result, 0); newline
#line 66 "regression-bugs-tmp/expr2.imp"
RESULT = ((((A) << (B))) - (((long)((long)((int)(C)) / (long)((int)(_Z(D)))))));
#line 66 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("62: "));
#line 66 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 66 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     67    result = a * b << c !! d; print string("63: "); write(result, 0); newline
#line 67 "regression-bugs-tmp/expr2.imp"
RESULT = ((((A) * ((int)(((B) << (C)))))) ^ (D));
#line 67 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("63: "));
#line 67 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 67 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     68    result = a * (a << b & c) !! c << (a ^^ b << c) !! e; print string("64: "); write(result, 0); newline
#line 68 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((A) * ((int)(((((A) << (B))) & (C)))))) ^ (((C) << (((_imp_IEXP(A, B)) << (C))))))) ^ (E));
#line 68 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("64: "));
#line 68 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 68 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     69    result = a ^^ b * c - d // (a - b) !! f + g // h; print string("65: "); write(result, 0); newline
#line 69 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((((int)(_imp_IEXP(A, B))) * (C))) - (((long)((long)((int)(D)) / (long)((_Z((((int)(A)) - (B)))))))))) ^ (F))) + (((long)((long)((int)(G)) / (long)((int)(_Z(H)))))));
#line 69 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("65: "));
#line 69 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 69 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     70    result = a !! (a ! b) ^^ c + d + e // f >> g; print string("66: "); write(result, 0); newline
#line 70 "regression-bugs-tmp/expr2.imp"
RESULT = (((((int)(((A) ^ (_imp_IEXP(((A) | (B)), C))))) + (D))) + (((long)((long)((int)(E)) / (long)((_Z((int)((((unsigned int)(F)) >> (G))))))))));
#line 70 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("66: "));
#line 70 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 70 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     71    result = a + b; print string("67: "); write(result, 0); newline
#line 71 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)(A)) + (B));
#line 71 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("67: "));
#line 71 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 71 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     72    result = a ! b + c // d * e + f << g !! h - i; print string("68: "); write(result, 0); newline
#line 72 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)((((((((((A) | (B))) + (((((long)((long)((int)(C)) / (long)((int)(_Z(D)))))) * (E)))))) + (((F) << (G))))) ^ (H)))) - (I));
#line 72 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("68: "));
#line 72 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 72 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     73    result = a + b ^^ c >> d // e + f ^^ g - h << i << j; print string("69: "); write(result, 0); newline
#line 73 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((A) + (((long)((long)((((((_imp_IEXP(B, C))) >> (D))))) / (long)((int)(_Z(E))))))))) + (_imp_IEXP(F, G))))) - (((((H) << (I))) << (J))));
#line 73 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("69: "));
#line 73 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 73 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     74    result = a << b ! c; print string("70: "); write(result, 0); newline
#line 74 "regression-bugs-tmp/expr2.imp"
RESULT = ((((A) << (B))) | (C));
#line 74 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("70: "));
#line 74 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 74 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     75    result = a & b !! c !! (a >> (a >> b) ! c & d) + e << f * g * h // i; print string("71: "); write(result, 0); newline
#line 75 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((A) & (B))) ^ (C))) ^ ((((int)((((unsigned int)(A)) >> ((int)((((unsigned int)(A)) >> (B))))))) | (((C) & (D))))))) + (((long)((long)(((((int)((((int)(((E) << (F)))) * (G)))) * (H)))) / (long)((int)(_Z(I)))))));
#line 75 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("71: "));
#line 75 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 75 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     76    result = a & b ^^ c << d - e * f !! (a * b ^^ c & d) ! h - (a // b * c << d) >> j; print string("72: "); write(result, 0); newline
#line 76 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((((((A) & (((_imp_IEXP(B, C)) << (D)))))) - ((((int)(E)) * (F))))) ^ (((((A) * ((int)(_imp_IEXP(B, C))))) & (D))))) | (H))) - (((((((((long)((long)((int)(A)) / (long)((int)(_Z(B)))))) * (((C) << (D)))))) >> (J)))));
#line 76 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("72: "));
#line 76 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 76 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     77    result = a; print string("73: "); write(result, 0); newline
#line 77 "regression-bugs-tmp/expr2.imp"
RESULT = A;
#line 77 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("73: "));
#line 77 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 77 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     78    result = a !! b - c * d - e << f // g * (a >> b & c * d); print string("74: "); write(result, 0); newline
#line 78 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((A) ^ (B)))) - ((((int)(C)) * (D))))) - (((((long)((long)((((E) << (F)))) / (long)((int)(_Z(G)))))) * ((((int)((((int)((((unsigned int)(A)) >> (B)))) & (C)))) * (D))))));
#line 78 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("74: "));
#line 78 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 78 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     79    result = a ! b - (a ^^ b) + (a + b) & e; print string("75: "); write(result, 0); newline
#line 79 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((A) | (B)))) - (_imp_IEXP(A, B))))) + ((((((int)(A)) + (B))) & (E))));
#line 79 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("75: "));
#line 79 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 79 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     80    result = a !! b // c ^^ d * e; print string("76: "); write(result, 0); newline
#line 80 "regression-bugs-tmp/expr2.imp"
RESULT = ((A) ^ (((((long)((long)((int)(B)) / (long)((_Z(_imp_IEXP(C, D))))))) * (E))));
#line 80 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("76: "));
#line 80 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 80 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     81    result = a + b ^^ c // d; print string("77: "); write(result, 0); newline
#line 81 "regression-bugs-tmp/expr2.imp"
RESULT = ((A) + (((long)((long)((_imp_IEXP(B, C))) / (long)((int)(_Z(D)))))));
#line 81 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("77: "));
#line 81 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 81 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     82    result = a >> b << c // d ^^ e ! f; print string("78: "); write(result, 0); newline
#line 82 "regression-bugs-tmp/expr2.imp"
RESULT = ((((long)((long)(((((int)((((unsigned int)(A)) >> (B)))) << (C)))) / (long)((_Z(_imp_IEXP(D, E))))))) | (F));
#line 82 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("78: "));
#line 82 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 82 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     83    result = a !! b // c !! d >> e + f - g + h + (a ! (a & b) ^^ c & d); print string("79: "); write(result, 0); newline
#line 83 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((int)((((int)((((int)(((((A) ^ (((long)((long)((int)(B)) / (long)((int)(_Z(C)))))))) ^ ((int)((((unsigned int)(D)) >> (E))))))) + (F)))) - (G)))) + (H)))) + (((A) | (((_imp_IEXP(((A) & (B)), C)) & (D))))));
#line 83 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("79: "));
#line 83 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 83 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     84    result = a - b // c // d & (a ! b - c) * f ^^ g >> h * i; print string("80: "); write(result, 0); newline
#line 84 "regression-bugs-tmp/expr2.imp"
RESULT = ((A) - (((((((((long)((long)((((long)((long)((int)(B)) / (long)((int)(_Z(C))))))) / (long)((int)(_Z(D)))))) & ((((int)(((A) | (B)))) - (C))))) * (((((_imp_IEXP(F, G))) >> (H)))))) * (I))));
#line 84 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("80: "));
#line 84 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 84 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     85    result = a >> b // c << d // e * f // g !! h; print string("81: "); write(result, 0); newline
#line 85 "regression-bugs-tmp/expr2.imp"
RESULT = ((((long)((long)((((((long)((long)((((long)((long)(((int)((((unsigned int)(A)) >> (B))))) / (long)((_Z(((C) << (D))))))))) / (long)((int)(_Z(E)))))) * (F)))) / (long)((int)(_Z(G)))))) ^ (H));
#line 85 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("81: "));
#line 85 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 85 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     86    result = a // b; print string("82: "); write(result, 0); newline
#line 86 "regression-bugs-tmp/expr2.imp"
RESULT = (long)((long)((int)(A)) / (long)((int)(_Z(B))));
#line 86 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("82: "));
#line 86 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 86 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     87    result = a + b ! (a + b ^^ c) + d & e; print string("83: "); write(result, 0); newline
#line 87 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((int)(A)) + (B))) | (((A) + ((int)(_imp_IEXP(B, C)))))))) + (((D) & (E))));
#line 87 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("83: "));
#line 87 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 87 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     88    result = a; print string("84: "); write(result, 0); newline
#line 88 "regression-bugs-tmp/expr2.imp"
RESULT = A;
#line 88 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("84: "));
#line 88 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 88 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     89    result = a * b; print string("85: "); write(result, 0); newline
#line 89 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)(A)) * (B));
#line 89 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("85: "));
#line 89 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 89 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     90    result = a; print string("86: "); write(result, 0); newline
#line 90 "regression-bugs-tmp/expr2.imp"
RESULT = A;
#line 90 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("86: "));
#line 90 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 90 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     91    result = a // b + (a >> b // c) + (a + b - c + d) << e - (a ! b) & g; print string("87: "); write(result, 0); newline
#line 91 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((((long)((long)((int)(A)) / (long)((int)(_Z(B))))))) + (((long)((long)(((int)((((unsigned int)(A)) >> (B))))) / (long)((int)(_Z(C)))))))) + ((((((int)((((int)((((int)(A)) + (B)))) - (C)))) + (D))) << (E))))) - (((((A) | (B))) & (G))));
#line 91 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("87: "));
#line 91 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 91 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     92    result = a !! b * c + d + e; print string("88: "); write(result, 0); newline
#line 92 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)((((int)(((A) ^ ((((int)(B)) * (C)))))) + (D)))) + (E));
#line 92 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("88: "));
#line 92 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 92 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     93    result = a << b & c ^^ d; print string("89: "); write(result, 0); newline
#line 93 "regression-bugs-tmp/expr2.imp"
RESULT = ((((A) << (B))) & (_imp_IEXP(C, D)));
#line 93 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("89: "));
#line 93 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 93 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     94    result = a & b + c ! d ! e - f & g << h << i // j; print string("90: "); write(result, 0); newline
#line 94 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((((int)(((A) & (B)))) + (C))) | (D))) | (E))) - (((long)((long)((((F) & (((((G) << (H))) << (I)))))) / (long)((int)(_Z(J)))))));
#line 94 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("90: "));
#line 94 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 94 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     95    result = a & (a ^^ b) // c; print string("91: "); write(result, 0); newline
#line 95 "regression-bugs-tmp/expr2.imp"
RESULT = (long)((long)((((A) & (_imp_IEXP(A, B))))) / (long)((int)(_Z(C))));
#line 95 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("91: "));
#line 95 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 95 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     96    result = a * b ! (a ^^ b) ^^ d; print string("92: "); write(result, 0); newline
#line 96 "regression-bugs-tmp/expr2.imp"
RESULT = (((((int)(A)) * (B))) | (_imp_IEXP(_imp_IEXP(A, B), D)));
#line 96 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("92: "));
#line 96 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 96 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     97    result = a << b ^^ c << d << e ^^ f; print string("93: "); write(result, 0); newline
#line 97 "regression-bugs-tmp/expr2.imp"
RESULT = _imp_IEXP(((((_imp_IEXP(((A) << (B)), C)) << (D))) << (E)), F);
#line 97 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("93: "));
#line 97 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 97 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     98    result = a + b - c ^^ d !! (a * b // c) - f; print string("94: "); write(result, 0); newline
#line 98 "regression-bugs-tmp/expr2.imp"
RESULT = (((int)(((((((((int)(A)) + (B)))) - (_imp_IEXP(C, D)))) ^ (((long)((long)(((((int)(A)) * (B)))) / (long)((int)(_Z(C))))))))) - (F));
#line 98 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("94: "));
#line 98 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 98 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //     99    result = a << (a * b ^^ c) ^^ c // d >> e !! f << (a & b + c) !! h & i; print string("95: "); write(result, 0); newline
#line 99 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((long)((long)((_imp_IEXP(((A) << (((A) * ((int)(_imp_IEXP(B, C)))))), C))) / (long)((_Z((int)((((unsigned int)(D)) >> (E))))))))) ^ (((F) << ((((int)(((A) & (B)))) + (C))))))) ^ (((H) & (I))));
#line 99 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("95: "));
#line 99 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 99 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //    100    result = a // (a * b) << c ! (a ^^ b ! c - d) ^^ e - (a - (a // b) - c << d) >> (a !! b) // h; print string("96: "); write(result, 0); newline
#line 100 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((long)((long)((int)(A)) / (long)((_Z((((((int)(A)) * (B))) << (C)))))))) | (_imp_IEXP((((int)(((_imp_IEXP(A, B)) | (C)))) - (D)), E))))) - (((long)((long)(((((((((((A) - (((long)((long)((int)(A)) / (long)((int)(_Z(B))))))))) - (((C) << (D)))))) >> (((A) ^ (B))))))) / (long)((int)(_Z(H)))))));
#line 100 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("96: "));
#line 100 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 100 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //    101    result = a ^^ b & c ! d * e << f >> g; print string("97: "); write(result, 0); newline
#line 101 "regression-bugs-tmp/expr2.imp"
RESULT = ((((_imp_IEXP(A, B)) & (C))) | (((D) * ((int)(((((((E) << (F)))) >> (G))))))));
#line 101 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("97: "));
#line 101 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 101 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //    102    result = a * b - c << (a !! b >> c ! (a * b & c) ! (a ! b)) !! e - f // g ! h !! i & j; print string("98: "); write(result, 0); newline
#line 102 "regression-bugs-tmp/expr2.imp"
RESULT = ((((((((((((((int)(A)) * (B)))) - (((C) << (((((((A) ^ ((int)((((unsigned int)(B)) >> (C)))))) | ((((((int)(A)) * (B))) & (C))))) | (((A) | (B))))))))) ^ (E))) - (((long)((long)((int)(F)) / (long)((int)(_Z(G)))))))) | (H))) ^ (((I) & (J))));
#line 102 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("98: "));
#line 102 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 102 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //    103    result = a + b & c << d + e * f !! g; print string("99: "); write(result, 0); newline
#line 103 "regression-bugs-tmp/expr2.imp"
RESULT = (((((((A) + ((int)(((B) & (((C) << (D))))))))) + ((((int)(E)) * (F))))) ^ (G));
#line 103 "regression-bugs-tmp/expr2.imp"
_imp_PRINTSTRING(_imp_str_literal("99: "));
#line 103 "regression-bugs-tmp/expr2.imp"
_imp_WRITE(RESULT, 0);
#line 103 "regression-bugs-tmp/expr2.imp"
_imp_NEWLINE();
                                                                //    104  %endofprogram
#line 104 "regression-bugs-tmp/expr2.imp"
/* Remove %on %event handler here if present for this block */
return 0;
} // End of block _imp_main at level 1
#line 104 "regression-bugs-tmp/expr2.imp"
// End of file
